'use strict';

const PDU = require('./pdu');
const DCS = PDU.getModule('PDU/DCS');

var pdu = PDU.Submit();
var dcs = new DCS();

dcs.setStoreMessage(); // default false, after call wil be true
dcs.setStoreMessageUCS2(); // default false, after call wil be true
dcs.setMessageIndication(true/* true|false */);
dcs.setMessageIndicationType(DCS.INDICATION_TYPE_OTHER /* DCS.INDICATION_TYPE_VOICEMAIL|DCS.INDICATION_TYPE_FAX|DCS.INDICATION_TYPE_EMAIL|DCS.INDICATION_TYPE_OTHER */);
dcs.setDiscardMessage();
dcs.setTextAlphabet(DCS.ALPHABET_DEFAULT/* DCS.ALPHABET_DEFAULT|DCS.ALPHABET_8BIT|DCS.ALPHABET_UCS2|DCS.ALPHABET_RESERVED */);
// will be called setTextCompressed(true) in setTextAlphabet() with default alphabet
dcs.setTextCompressed(true /* true|false */);
dcs.setClass(/* DCS.CLASS_NONE|DCS.CLASS_MOBILE_EQUIPMENT|DCS.CLASS_SIM_SPECIFIC_MESSAGE|DCS.CLASS_TERMINAL_EQUIPMENT */);
// will be called in setClass
dcs.setUseMessageClass(/* true|false */);


// set recipient
pdu.setAddress('+999999999999');
// set data coding scheme
pdu.setDcs(dcs);
// set validity period
pdu.setVp(3600 * 24 * 4);
// set text of message
pdu.setData('Some text');
// set status report reqiest
pdu.getType().setSrr(1);

// if message too large, split on parts
var parts = pdu.getParts();

// join it
console.log(parts.join("\n"));